#
# spec file for package ipadic
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ipadic
BuildRequires:  chasen-devel
BuildRequires:  perl-Text-ChaSen
#!BuildIgnore:  ipadic
PreReq:         %install_info_prereq
Version:        2.6.3
Release:        264.5
Url:            http://chasen.aist-nara.ac.jp/
# Original Source is gzipped.
Source0:        http://chasen.aist-nara.ac.jp/stable/ipadic/ipadic-2.6.3.tar.bz2
Patch0:         ipadic.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Standard Japanese Dictionary for ChaSen
License:        SUSE-Permissive
Group:          System/I18n/Japanese

%description
Standard Japanese dictionary for ChaSen.


%prep
%setup
%patch0 -p 1

%build
./configure --prefix=%{_prefix} \
	    --sysconfdir=%{_sysconfdir} \
            --with-dicdir=%{_prefix}/share/chasen/dic/ \
            --with-chasenrc-path=/etc/chasenrc \
            --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
make

%install
mkdir -p $RPM_BUILD_ROOT/etc
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS* README*
%doc doc/*.pdf
%dir %{_prefix}/share/chasen/
%{_prefix}/share/chasen/*
%config /etc/chasenrc

%changelog
* Sat Dec 21 2013 coolo@suse.com
- buildignore our own name to avoid bootstap problems with
  chasen
* Tue Dec 20 2011 coolo@suse.com
- general cleanup of spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Mon Aug 25 2003 mfabian@suse.de
- update to 2.6.3.
* Fri Jun 13 2003 mfabian@suse.de
- fix file list because of "directories not owned by any package"
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mfabian@suse.de
- I forgot "Prereq:       %%install_info_prereq", sorry.
* Wed Feb 12 2003 mfabian@suse.de
- use %%install_info macro (Bug #23429)
* Mon Jan 13 2003 mfabian@suse.de
- remove 'Requires: chasen'
  (there was a loop because chasen also required ipadic)
* Sat Nov  3 2001 mfabian@suse.de
- update to 2.4.4
- move chasenrc to /etc/chasenrc
- include new info files in file list
* Wed Jan 17 2001 mfabian@suse.de
- new package: ipadic-2.4.1
